commit 435d35409768de7cbc2c47a6322192dd4b480545
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 28 18:43:32 2022 -0700

    xsetroot 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 71912c99a938d7801dd5e21b89d3f885b9785d5c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Oct 16 12:25:23 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 43532f210bd0d5fbb89cbcae5989ce6c1cf2b7d6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 15 12:10:09 2022 -0700

    Handle -Wsign-compare warnings
    
    xsetroot.c: In function ‘CreateCursorFromFiles’:
    xsetroot.c:426:31: warning: comparison of integer expressions of different signedness: ‘int’ and ‘unsigned int’ [-Wsign-compare]
      426 |     if ((x_hot < 0) || (x_hot >= width) ||
          |                               ^~
    xsetroot.c:427:31: warning: comparison of integer expressions of different signedness: ‘int’ and ‘unsigned int’ [-Wsign-compare]
      427 |         (y_hot < 0) || (y_hot >= height)) {
          |                               ^~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 98c9bf1a07a342ffd86e8a96b9f6c8a24966816f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 15 12:07:23 2022 -0700

    Variable scope reductions as recommended by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8163f97f8fa6190c914bafb39934dc48da880a1c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 14:12:01 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c00fba1992773dfd36c87556b360d043b440d80f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 14:11:58 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b5d3992053bd6b95022789f82cb81a05347956b3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:18:56 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0dc976768e2b6d6ea98a900eb9660a283ebc5011
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 23:24:44 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 04dbb108170ada979cce80e92053236c4b702e94
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 9 20:20:44 2018 -0800

    xsetroot 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8c926a2a2d3f1ed06e24259657e27800f2e0ff8c
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit c91cec09e0da17ccb7d1a7d2a120f9969e516622
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit beb935ffaa34fcc7e72ee53d471473533647e9fb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit ff223d5595c292f0ccee9f4690f11b29157ef3ab
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 31 11:35:47 2014 -0800

    Only use results from GetWindowProperty if it returned success
    
    Since Xlib prior to 1.6 didn't always clear values on failure, don't
    assume they're safe to use unless we succeeded.
    
    Reported by Oracle Parfait 1.5.1:
    Error: Uninitialised memory (CWE 456)
       Possible access to uninitialised memory '&after'
            at line 328 of xsetroot.c in function 'FixupState'.
              &after allocated at line 317.
       Possible access to uninitialised memory '&data'
            at line 330 of xsetroot.c in function 'FixupState'.
              &data allocated at line 318.
       Possible access to uninitialised memory '&format'
            at line 328 of xsetroot.c in function 'FixupState'.
              &format allocated at line 316.
       Possible access to uninitialised memory '&length'
            at line 328 of xsetroot.c in function 'FixupState'.
              &length allocated at line 317.
       Possible access to uninitialised memory '&type'
            at line 328 of xsetroot.c in function 'FixupState'.
              &type allocated at line 315.
            at line 331 of xsetroot.c in function 'FixupState'.
              &type allocated at line 315.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit cd298a5f8e345791c1889bdd781fddc01c94fc1d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 23:22:14 2014 -0700

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e7d7181b7e7eafc3019f4eb806a0aeb8e38806fa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 23:04:08 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed899cfe8675cca8875156ce35b9d2b4553f9cca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 23:04:08 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6ce1479493af8ade3ce7e41276e0e64c878461e2
Author: Stéphane Aulery  <lkppo@free.fr>
Date:   Sun Jul 7 23:23:52 2013 +0200

    Improve manpage and -help option.
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a33c612c5ff84ba2d6004d99e96ec6919bb8e859
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 22 23:02:52 2013 -0800

    xsetroot 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d8cb397df5ecb94e7b0ea05d2407f4334a36eb87
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 13 11:06:39 2013 -0800

    Add -version option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1636536e4d158e994f045133267ae9b4b278c4f3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 13 10:33:36 2013 -0800

    Combine usage message strings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 84053f70451876dfadef1c718cdbbbb319f7f2d2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 13 10:30:25 2013 -0800

    Mark usage with _X_NORETURN to quiet -Wmissing-noreturn warning
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0e85edbfe016c4a243ced32d0dcb01f7286b60a1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 13 10:23:38 2013 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ea2109024da4c41d02bec39e131ef7c895ee063c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:57 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f659a905e38aa5af4e9ec90b89c11201775a6409
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:37 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bffeb4c9e2f789e4631a8b4792df37a6fc76944f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:48 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6f6440af318df83bda8ffd3f31e8c2852e52c879
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 0c55a8f8edabef5ccd9930048df7d3aecd551d54
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:47:05 2010 -0700

    xsetroot 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a2a23d1ca4ae7940465d525f2219cb97e1f5efe7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:46:31 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 047e49cad119109378c97436f2fe77b93e747376
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:45:03 2010 -0700

    Add -xcf option to man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0be4a12c29687e26a5fd77a6f8df2d6eca5fea20
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 11:37:00 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b86dc97d437b16a9384c2c2b9799918c9f7d1e6a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 30 11:35:16 2010 -0700

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8cf3ceab5cf2f2a583bdbe13a2f23061c6458546
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 21 17:51:35 2010 -0700

    Add -xcf flag to load arbitrary ARGB cursor file
    
    Instead of having to construct a whole cursor theme and play with the
    environment variables in Xlib to set a random ARGB cursor, this lets
    the user set whatever they like directly from a file.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e5430a15a0eed9c209f0df1b19ac79eca195088e
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:50 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 978cc1aa7944debb4a8eb8c928825eb28041d51a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:55 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit cebcf0ab7f59e3e261d410b85f3433974de3cbf8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit dcff32ec5fb57783a1bb315de14b9548b4806682
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit f9ec4ed5b9422cd59d51b608466fbc7834041a64
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit fc3c90aa5b77645198450c32b4e1f054674dd547
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:22 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 1a978aec136389c13fcdda31b34cb58d4dd3bf25
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 19:32:50 2009 -0700

    xsetroot 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d8ec58af0f62076805bd6b691e284bcd2176724b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 19:32:06 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit cc4216ff1f17c97fb5aa1a9a5f58e2574ca8af0b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 19:29:11 2009 -0700

    Fill in COPYING file with copyright/license notice from code & docs
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 90bbea206988567520f7cb2b7f6e95ef704c172d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:30 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 67c87156d9bf8c7f520106c9e2fa786f3d21eaa2
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 26 18:12:56 2009 -0200

    Correct make distcheck and sparse warnings.

commit ba9fbd14258ab44c794bb1a6dd9af51c5f4c01ff
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Fri Aug 10 10:45:46 2007 +0200

    Bump version for release

commit d1658d389d7fbad0c2ec2ea5e8563c3d06ed2a47
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Jul 30 21:17:42 2007 +0200

    Add option to check code with lint/sparse/etc.

commit 9282a4aa79b3cb4ae091a594de61dfc2ecfd9ea3
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Mon Jul 30 21:11:20 2007 +0200

    Change xsetroot_CFLAGS to AM_CFLAGS to avoid automake-1.10 warning

commit fe4a33713aca2ce32053f2c8356423efd1f534e1
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Jul 30 21:08:00 2007 +0200

    - Replace static ChangeLog with disthook to generate from git log
    - generate INSTALL

commit f479fd29a876d445291d7e55de9e9a22bac419b6
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Jul 30 21:07:05 2007 +0200

    - renamed .cvsignore -> .gitignore
    - Replace static ChangeLog with disthook to generate from git log

commit 382e52e07a110628efa0784b64088f6f64ae3112
Author: Marc Balmer <mbalmer@openbsd.org>
Date:   Mon Jul 30 20:47:53 2007 +0200

    Typo, it's xsetroot, not setroot.

commit e43e2cc868cff003d3e69c17a69bb7440393c359
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:54 2005 +0000

    Update package version for X11R7 release.

commit 3c3dc25e901fe4a93d308a4456d00783d6fff252
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:47 2005 +0000

    Stub COPYING files

commit 4e633038f484b9955fe6aa80fdbbcc4d827fa4f3
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:11 2005 +0000

    Update package version number for final X11R7 release candidate.

commit aa60171a0cf04a787a29e1af3551976652d8ce84
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:26 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit a3844b7b2f68e295f69e9a8dbf45f311b717362b
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:28 2005 +0000

    Update package version number for X11R7 RC3 release.

commit a5056d61df9bc78b10ad200a7fc250842f034204
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:47 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit bfc05c358c4c8698292e40729ede000939cfe4a8
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:08 2005 +0000

    Another pass at .cvsignores for apps.

commit 9826f19633f549f2282702f19e33f7e51c4c5e9e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 21 03:14:16 2005 +0000

    Change dependency from xmu to xmuu since the full xmu (with all its baggage
        like Xt) is not needed here.

commit d6817bf87bfcd2be3215ea9e28e6d13b1d438657
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:55 2005 +0000

    Add/improve .cvsignore files for apps.

commit 86145da43db031adc122f8bf9baacd45be5e7d84
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:57 2005 +0000

    Update package version number for RC1 release.

commit cb52055c08c845309c126a2763bacaba5798ed65
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:25 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit a10e876217a9354dd26935fd013cae57882369fa
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:48 2005 +0000

    Use sed to fill in variables in man page

commit 7b3f04619ecaec58e16a68037c435363ab27f447
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:32 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 63dc3c29b9f7af53efe466a7ed1476b4f4f17228
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:38 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit d5e74073175fbfb70a6f859d565262af09938642
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:32:04 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 0cc65bf4e9e0522422a9bd5824dc21dd05bf0368
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Fri Jul 15 16:49:26 2005 +0000

    Add dependency on xbitmaps

commit 2f3ed0d66595b15a2893098d0c0b05a568fb01e7
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Fri Jul 1 20:09:06 2005 +0000

    xtrap.pc.in: s/Xfixes/XTrap/ xi.pc.in: s/Xt/Xi/ Xv/src/Makefile.am: remove
        whitespace after backslash modularizeapp.sh: s/destkop/desktop/
        modular/symlink.sh: Add bitmaps for xeyes, system.xsm for xsm, and
        Xvidtune.cpp for xvidtune. Also comment out non-existing mga_bios.h
    Check in buildsystems for xsetroot, xsm, xstdcmap, xtrap, and xvinfo

commit da9e01ac6c7199ea2d7cac40af7587192c23aff2
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:55:06 2004 +0000

    Merging XORG-CURRENT into trunk

commit 7cc5582a833e643be56bc5154e86eea988d537a9
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:45 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit cb915ca7ff57ceabc129556e9771c2fd2c401a76
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:18 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 10edd9087ebd46ca19500b987054d11f1c8e53fe
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:26 2004 +0000

    readding XFree86's cvs IDs

commit 0976043e2f31f6bad969c3f996961c59fc953d84
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:17 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 133f2a1c164a945366816cb4a71419ebe5c575ea
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    XFree86 4.3.0.1

commit 500a078602d5db1e420a07c81dada5a676e0cc90
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:55 2003 +0000

    R6.6 is the Xorg base-line
